commit:     288eef2e1c5d4f5c6cc2430e5524ece50ef6ec65
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 21 05:25:08 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Oct 21 07:48:13 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=288eef2e

dev-python/fsspec: Bump to 2022.10.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/fsspec/Manifest                |  1 +
 dev-python/fsspec/fsspec-2022.10.0.ebuild | 58 +++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-python/fsspec/Manifest b/dev-python/fsspec/Manifest
index 0d6ae8374343..500adc2e8fd1 100644
--- a/dev-python/fsspec/Manifest
+++ b/dev-python/fsspec/Manifest
@@ -1 +1,2 @@
+DIST filesystem_spec-2022.10.0.gh.tar.gz 338829 BLAKE2B 
93d0f878218d750f605d0f6cb7011504d3b5325ec9d80bad3e4d0f2c51e7494c751478958131bb6522ad5c3144a129a508b948a114f3a6c55d43b9a206b46a2b
 SHA512 
ac8d9118df9b69c082e0707990ff29bdd7576534622be8fc1a10e8cc14d1d3a328fc8e022dc9f316af3da4afb4d38fe3fb533222aa89c47d4d49a296c6b9bf6b
 DIST filesystem_spec-2022.8.2.gh.tar.gz 338446 BLAKE2B 
0f3b78794271b367d8e5d26ff889e7d72df7148baa7ca2e7dca3884cbeff74b41f5ce1a532fa768523f29d230f574e630fb3de43b767ace874f831a4d2a47e1f
 SHA512 
696f726000c413ba78380b5e17e312ecca30b51093ebf8d7c3658fb7b82ace57223d3aac471e3a772d350523142bdf983b547277838cca0b182ecb4e0a4b3924

diff --git a/dev-python/fsspec/fsspec-2022.10.0.ebuild 
b/dev-python/fsspec/fsspec-2022.10.0.ebuild
new file mode 100644
index 000000000000..dba46d7fc2e2
--- /dev/null
+++ b/dev-python/fsspec/fsspec-2022.10.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+MY_P=filesystem_spec-${PV}
+DESCRIPTION="A specification that python filesystems should adhere to"
+HOMEPAGE="
+       https://github.com/fsspec/filesystem_spec/
+       https://pypi.org/project/fsspec/
+"
+SRC_URI="
+       https://github.com/fsspec/filesystem_spec/archive/${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+       test? (
+               dev-python/aiohttp[${PYTHON_USEDEP}]
+               dev-python/numpy[${PYTHON_USEDEP}]
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/tqdm[${PYTHON_USEDEP}]
+               dev-vcs/git
+       )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+       git config --global user.email "[email protected]" || die
+       git config --global user.name "Your Name" || die
+       distutils-r1_src_test
+}
+
+EPYTEST_DESELECT=(
+       fsspec/tests/test_spec.py::test_find
+)
+
+EPYTEST_IGNORE=(
+       # sftp and smb require server started via docker
+       fsspec/implementations/tests/test_dbfs.py
+       fsspec/implementations/tests/test_sftp.py
+       fsspec/implementations/tests/test_smb.py
+       # unhappy about dev-python/fuse-python (?)
+       fsspec/tests/test_fuse.py
+)

Reply via email to